Searched defs:Part (Results 1 - 1 of 1) sorted by relevance

/hets/FreeCAD/Plugins/
H A Dfcmacro.py27 import Part namespace
108 part = Part.makeBox(float(b['length']), float(b['width']), float(b['height']))
109 obj = app.ActiveDocument.addObject('Part::Box',name)
113 part = Part.makeCylinder(float(b['radius']), float(b['height']))
114 obj = app.ActiveDocument.addObject('Part::Cylinder',name)
118 part = Part.makeCone(float(b['radius1']), float(b['radius2']), float(b['height']))
119 obj = app.ActiveDocument.addObject('Part::Cone',name)
123 part = Part.makeSphere(float(b['radius']), defpnt, defdir, float(b['angle1']),
125 obj = app.ActiveDocument.addObject('Part::Sphere',name)
130 part = Part
[all...]

Completed in 9 milliseconds